POST
/docs/{docId}/forkFork a document
Create a fork of a document. A fork is a personal copy that tracks its relationship to the original document. Forks can be used to experiment with changes before applying them to the original.
The fork will have a new docId and urlId that encode the relationship to the trunk (original) document.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
A string id (UUID)
200Fork created successfully
docIdstringrequired
The full document ID of the fork
forkIdstringrequired
The unique identifier for this fork
urlIdstringrequired
The URL-friendly ID of the fork
400Cannot fork a document that's already a fork
403Insufficient access to document to copy it entirely
Error handling
A 400 is returned: Cannot fork a document that's already a fork. A 403 is returned: Insufficient access to document to copy it entirely.
